#!/usr/bin/perl -w

##############################################################################
#
#	13to14.pl	-	This program updates the database to the
#				1.4 format from the 1.3.5 format
#
#	Author		-	Steve Kordik <countzero@cyberdeck.org>
#
#
##############################################################################

BEGIN {
	$libpath = $0;
	$libpath =~ s!/[^/]+$!!;
	$libpath =~ s!/bin$!/lib/cscmail!;
	if (! -e $libpath) { die "Can't find required files in $libpath"; };
}

use lib "$libpath";
use lib "$libpath/modules/lib/perl5/site_perl/5.005";
use DBI;

require 'csclib.pl';
&read_prefs;

my $dbh=&open_db_conn;

$sth1 = $dbh->prepare("alter table boxlist add column parent int4");
$sth1->execute;
$sth1 = $dbh->prepare("insert into boxlist (id, name, sorder, parent)
values (0,'Folders', 0, -1)");
$sth1->execute;
$sth1 = $dbh->prepare("update boxlist set parent = 0 where parent is
null");
$sth1->execute;
$sth = $dbh->prepare("update messages set contenttype = 'text/plain' where
contenttype = ''");
$sth1->execute;

